unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SkinData, DynamicSkinForm, Menus, SkinMenus, Buttons, ImgList,
  sppngimagelist, StdCtrls, ComCtrls, SkinCtrls, SkinTabs, SkinBoxCtrls,
  spDialogs, se_effect, se_ani, SkinExCtrls, Mask;

type
  TForm1 = class(TForm)
    spDynamicSkinForm1: TspDynamicSkinForm;
    spSkinData1: TspSkinData;
    spCompressedStoredSkin1: TspCompressedStoredSkin;
    spSkinPopupMenu1: TspSkinPopupMenu;
    N121: TMenuItem;
    New: TMenuItem;
    N231: TMenuItem;
    N1231: TMenuItem;
    N111: TMenuItem;
    N11: TMenuItem;
    N312: TMenuItem;
    N31: TMenuItem;
    N1: TMenuItem;
    Close1: TMenuItem;
    spPngImageList1: TspPngImageList;
    spSkinPageControl1: TspSkinPageControl;
    spSkinTabSheet1: TspSkinTabSheet;
    spSkinTabSheet2: TspSkinTabSheet;
    spSkinTabSheet3: TspSkinTabSheet;
    spSkinCheckRadioBox1: TspSkinCheckRadioBox;
    spSkinMemo1: TspSkinMemo;
    spSkinButton1: TspSkinButton;
    spSelectSkinsFromFoldersDialog1: TspSelectSkinsFromFoldersDialog;
    spSkinComboBox1: TspSkinComboBox;
    TabPosition: TspSkinLabel;
    spSkinPopupMenu2: TspSkinPopupMenu;
    Item11: TMenuItem;
    Item21: TMenuItem;
    Item31: TMenuItem;
    seAnimationList1: TseAnimationList;
    seAnimation1: TseAnimation;
    spSkinLabel3: TspSkinLabel;
    spSkinButton2: TspSkinButton;
    spSkinButton3: TspSkinButton;
    spSkinTrackBar1: TspSkinTrackBar;
    spSkinGauge2: TspSkinGauge;
    spSkinComboBoxEx1: TspSkinComboBoxEx;
    spSkinComboBox2: TspSkinComboBox;
    spSkinComboBox3: TspSkinComboBox;
    spSkinEdit1: TspSkinEdit;
    spSkinSpinEdit1: TspSkinSpinEdit;
    spSkinGauge1: TspSkinGauge;
    spSkinLabel4: TspSkinLabel;
    spSkinCheckRadioBox8: TspSkinCheckRadioBox;
    spSkinCheckRadioBox7: TspSkinCheckRadioBox;
    spSkinCheckRadioBox6: TspSkinCheckRadioBox;
    spSkinListBox2: TspSkinListBox;
    spSkinListBox4: TspSkinListBox;
    spSkinCheckListBox2: TspSkinCheckListBox;
    spSkinTrackBar2: TspSkinTrackBar;
    spSkinLinkBar1: TspSkinLinkBar;
    spSkinOfficeListBox1: TspSkinOfficeListBox;
    spSkinOfficeComboBox1: TspSkinOfficeComboBox;
    ImageList2: TImageList;
    spSkinHorzListBox1: TspSkinHorzListBox;
    spSkinOfficeComboBox2: TspSkinOfficeComboBox;
    procedure Close1Click(Sender: TObject);
    procedure spDynamicSkinForm1CaptionTabChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure spSkinPageControl1Change(Sender: TObject);
    procedure spSkinCheckRadioBox1Click(Sender: TObject);
    procedure spSkinButton1Click(Sender: TObject);
    procedure NewClick(Sender: TObject);
    procedure spSkinComboBox1Change(Sender: TObject);
    procedure spSkinButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;        

implementation

{$R *.dfm}

procedure TForm1.Close1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.spDynamicSkinForm1CaptionTabChange(Sender: TObject);
begin
  if spSkinPageControl1.ActivePageIndex <> spDynamicSkinForm1.CaptionTabIndex then
  begin
    seAnimation1.FreezeControlClient(spSkinPageControl1, spSkinPageControl1.ClientRect);
    spSkinPageControl1.ActivePageIndex := spDynamicSkinForm1.CaptionTabIndex;
    try
      seAnimation1.Execute;
    finally
      seAnimation1.Restore;
    end;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  spSkinPageControl1.HideBorderAndTabs;
end;

procedure TForm1.spSkinPageControl1Change(Sender: TObject);
begin
  spDynamicSkinForm1.CaptionTabIndex := spSkinPageControl1.ActivePageIndex;
end;

procedure TForm1.spSkinCheckRadioBox1Click(Sender: TObject);
begin
  if spSkinCheckRadioBox1.Checked
  then
    spDynamicSkinForm1.BorderIcons := spDynamicSkinForm1.BorderIcons + [biSystemMenu]
  else
    spDynamicSkinForm1.BorderIcons := spDynamicSkinForm1.BorderIcons - [biSystemMenu];
  spDynamicSkinForm1.UpDateFormNC;
end;

procedure TForm1.spSkinButton1Click(Sender: TObject);
begin
  if spSelectSkinsFromFoldersDialog1.Execute('', spSelectSkinsFromFoldersDialog1.SkinName, 'skn')
  then
    spSkinData1.LoadFromCompressedFile(spSelectSkinsFromFoldersDialog1.FileName);
end;

procedure TForm1.NewClick(Sender: TObject);
begin
  spSkinButton1Click(Sender);
end;

procedure TForm1.spSkinComboBox1Change(Sender: TObject);
begin
  spDynamicSkinForm1.CaptionTabPos := TspCaptionTabPos(spSkinComboBox1.ItemIndex);
end;

procedure TForm1.spSkinButton2Click(Sender: TObject);
begin
  seAnimation1.ShowDesigner;
//  seAnimation1.ShowDSFSkinDesigner(spSkinData1);
end;

end.
